using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApp1.translationKey
{
    class translationPublic : TranslationApiInt
    {

        public List<string> OutputTranslationI(int id)
        {
            var temp = new List<string> { };
            switch (id)
            {
                case 0://讯飞 
                    {
                        temp.Add("1299c840");//id
                        temp.Add("M2Q4YzkzZTIwZjNkMGE2ZjkwZWMxNzZk");//APISecret
                        temp.Add("828cb2dc915d28464a904bda5d7b01b3");//APIKey
                        break;
                    }
                case 1://百度
                    {
                        temp.Add("20230923001827495");//APIAppid
                        temp.Add("yjvMNY33Qc1TYSBjTQYQ");//APIKey
                        break;
                    }
                case 2://百度2
                    {
                        temp.Add("20230925001829663");
                        temp.Add("f7ZHpw28izQ1VU_ixoY5");
                        break;
                    }
                case 3://google
                    {
                        temp.Add("UNSET!");//NULL,空
                        temp.Add("UNSET!");//APIKey
                        break;
                    }
            }
            return temp;
        }
    }
}
